@echo off
rem Change the following value for your environment
set CLDC_HOME=D:\j2me_cldc

rem If no arguments given, display Usage information
if "%1" == "" goto usage

rem Extract arguments
set CLASSNAME=%1
set PACKAGENAME=%2

if "%PACKAGENAME%" == "" goto build
set PACKAGENAME=%PACKAGENAME%.

:build
rem Build the application

echo CLASSNAME='%CLASSNAME%'
echo PACKAGENAME='%PACKAGENAME%'
echo Building %PACKAGENAME%%CLASSNAME%

if not exist build mkdir build
javac -d build -bootclasspath %CLDC_HOME%\api\classes %CLASSNAME%.java
%CLDC_HOME%\bin\preverify -d build -classpath build;%CLDC_HOME%\bin\api\classes;%CLDC_HOME%\api\classes %PACKAGENAME%%CLASSNAME%
cd build
java -classpath .;%CLDC_HOME%\tools\palm\classes palm.database.MakePalmApp -bootclasspath %CLDC_HOME%\bin\api\classes;%CLDC_HOME%\api\classes;%CLDC_HOME%\bin\api\classes %PACKAGENAME%%CLASSNAME%
cd ..

rem Clean up
if exist *~ del *~

rem We're done -> end
goto end

:usage
rem Display Usage information
echo Usage: make className [packageName]
echo.

:end